List all published OpenAPI specifications
curl --request POST \
--url https://devtools.platform.arb.inc/documentation/openapi/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtools.platform.arb.inc/documentation/openapi/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtools.platform.arb.inc/documentation/openapi/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"created": "2025-08-01T14:30:00Z",
"updated": "2025-08-15T10:30:00Z",
"service": "auth",
"yaml": "openapi: 3.0.3\ninfo:\n title: auth\n version: 1.0.0\n..."
}
]
}{
"error": "missing required permission: devtools.documentation.viewer"
}documentation
List all published OpenAPI specifications
Retrieves all published OpenAPI specifications from all platform services, sorted by service name. Returns the complete YAML content along with creation and update timestamps. Requires devtools.documentation.viewer permission.
POST
/
documentation
/
openapi
/
list
List all published OpenAPI specifications
⌘I